var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconDisplaySetupComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-display-setup").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 20 20" }, rest, { ref: ref }),
        React.createElement("path", { d: "M10 1.875c-4.86 0-8.75 3.611-8.75 8.125 0 4.514 3.89 8.125 8.75 8.125.78 0 1.458-.633 1.458-1.354 0-.363-.096-.634-.387-.903-.197-.271-.39-.543-.39-.902 0-.724.68-1.354 1.458-1.354h1.75c2.723 0 4.861-1.987 4.861-4.515 0-3.973-3.888-7.222-8.75-7.222Zm-3.984 7.11a1.406 1.406 0 1 1-2.813 0 1.406 1.406 0 0 1 2.813 0ZM7.89 6.796a1.406 1.406 0 1 1 0-2.813 1.406 1.406 0 0 1 0 2.813Zm5.859-1.64a1.406 1.406 0 1 1-2.812 0 1.406 1.406 0 0 1 2.812 0Zm1.719 5.077a1.406 1.406 0 1 1 0-2.812 1.406 1.406 0 0 1 0 2.812Z" }));
}
var IconDisplaySetup = React.forwardRef(IconDisplaySetupComponent);
export default IconDisplaySetup;
